---
# Cop supports --auto-correct.
Layout/HashAlignment:
  Exclude:
    - 'ee/app/graphql/types/ci/namespace_ci_cd_setting_type.rb'
    - 'ee/app/graphql/types/compliance_management/merge_requests/compliance_violation_type.rb'
    - 'ee/app/graphql/types/dast/profile_schedule_type.rb'
    - 'ee/app/graphql/types/dast/profile_type.rb'
    - 'ee/app/graphql/types/dast_scanner_profile_type.rb'
    - 'ee/app/graphql/types/dast_site_profile_type.rb'
    - 'ee/app/graphql/types/dast_site_validation_type.rb'
    - 'ee/app/graphql/types/dora_type.rb'
    - 'ee/app/graphql/types/epic_issue_type.rb'
    - 'ee/app/graphql/types/epic_type.rb'
    - 'ee/app/graphql/types/external_issue_type.rb'
    - 'ee/app/graphql/types/iteration_type.rb'
    - 'ee/app/graphql/types/iterations/cadence_type.rb'
    - 'ee/app/graphql/types/merge_requests/approval_state_type.rb'
    - 'ee/app/graphql/types/namespaces/namespace_ban_type.rb'
    - 'ee/app/graphql/types/requirements_management/requirement_type.rb'
    - 'ee/app/graphql/types/requirements_management/test_report_type.rb'
    - 'ee/app/graphql/types/security/training_type.rb'
    - 'ee/app/graphql/types/time_report_stats_type.rb'
    - 'ee/app/graphql/types/timebox_report_interface.rb'
    - 'ee/app/graphql/types/timebox_report_type.rb'
    - 'ee/app/graphql/types/vulnerabilities/asset_type.rb'
    - 'ee/app/graphql/types/vulnerabilities/container_image_type.rb'
    - 'ee/app/graphql/types/vulnerabilities/link_type.rb'
    - 'ee/app/graphql/types/vulnerability/external_issue_link_type.rb'
    - 'ee/app/graphql/types/vulnerability/issue_link_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/base_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/boolean_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/code_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/commit_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/diff_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/file_location_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/int_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/list_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/markdown_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/module_location_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/table_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/text_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/url_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/container_scanning_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/coverage_fuzzing_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/dast_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/dependency_scanning_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/generic_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/sast_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/secret_detection_type.rb'
    - 'ee/app/graphql/types/vulnerability_request_response_header_type.rb'
    - 'ee/app/graphql/types/vulnerability_request_type.rb'
    - 'ee/app/graphql/types/vulnerability_response_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_type.rb'
    - 'ee/app/graphql/types/vulnerability_type.rb'
    - 'ee/app/graphql/types/vulnerable_dependency_type.rb'
    - 'ee/app/graphql/types/vulnerable_kubernetes_resource_type.rb'
    - 'ee/app/graphql/types/vulnerable_projects_by_grade_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/verification_status_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/weight_type.rb'
    - 'ee/app/helpers/ee/geo_helper.rb'
    - 'ee/app/serializers/ee/evidences/release_entity.rb'
    - 'ee/app/services/ci/external_pull_requests/process_github_event_service.rb'
    - 'ee/app/services/ci_cd/setup_project.rb'
    - 'ee/app/services/ee/issues/base_service.rb'
    - 'ee/app/services/elastic/cluster_reindexing_service.rb'
    - 'ee/app/services/elastic/process_bookkeeping_service.rb'
    - 'ee/app/services/epics/epic_links/list_service.rb'
    - 'ee/app/services/epics/issue_promote_service.rb'
    - 'ee/app/services/groups/memberships/export_service.rb'
    - 'ee/app/services/projects/setup_ci_cd.rb'
    - 'ee/app/services/security/security_orchestration_policies/on_demand_scan_pipeline_configuration_service.rb'
    - 'ee/config/routes/project.rb'
    - 'ee/config/routes/uploads.rb'
    - 'ee/elastic/migrate/20220118150500_delete_orphaned_commits.rb'
    - 'ee/elastic/migrate/20220119120500_populate_commit_permissions_in_main_index.rb'
    - 'ee/lib/api/iterations.rb'
    - 'ee/lib/api/merge_trains.rb'
    - 'ee/lib/api/related_epic_links.rb'
    - 'ee/lib/api/vulnerability_exports.rb'
    - 'ee/lib/api/vulnerability_findings.rb'
    - 'ee/lib/ee/api/helpers/groups_helpers.rb'
    - 'ee/lib/ee/api/helpers/issues_helpers.rb'
    - 'ee/lib/ee/api/helpers/protected_branches_helpers.rb'
    - 'ee/lib/ee/api/merge_requests.rb'
    - 'ee/lib/ee/audit/project_setting_changes_auditor.rb'
    - 'ee/lib/ee/audit/protected_branches_changes_auditor.rb'
    - 'ee/lib/ee/banzai/filter/references/epic_reference_filter.rb'
    - 'ee/lib/ee/banzai/filter/references/vulnerability_reference_filter.rb'
    - 'ee/lib/ee/gitlab/application_rate_limiter.rb'
    - 'ee/lib/ee/gitlab/ci/pipeline/chain/validate/after_config.rb'
    - 'ee/lib/ee/gitlab/quick_actions/issue_actions.rb'
    - 'ee/lib/ee/gitlab/tracking.rb'
    - 'ee/lib/ee/gitlab/usage_data.rb'
    - 'ee/lib/elastic/latest/commit_config.rb'
    - 'ee/lib/elastic/latest/config.rb'
    - 'ee/lib/elastic/latest/merge_request_config.rb'
    - 'ee/lib/gem_extensions/elasticsearch/model/indexing/instance_methods.rb'
    - 'ee/lib/gitlab/auth/smartcard/certificate.rb'
    - 'ee/lib/gitlab/auth/smartcard/ldap_certificate.rb'
    - 'ee/lib/gitlab/ci/parsers/security/formatters/dependency_list.rb'
    - 'ee/lib/gitlab/elastic/helper.rb'
    - 'ee/lib/gitlab/elastic/indexer.rb'
    - 'ee/spec/controllers/ee/projects/variables_controller_spec.rb'
    - 'ee/spec/controllers/groups/epic_boards_controller_spec.rb'
    - 'ee/spec/controllers/groups/issues_controller_spec.rb'
    - 'ee/spec/controllers/projects/settings/operations_controller_spec.rb'
    - 'ee/spec/controllers/trials_controller_spec.rb'
    - 'ee/spec/factories/dependencies.rb'
    - 'ee/spec/factories/projects.rb'
    - 'ee/spec/features/billings/billing_plans_spec.rb'
    - 'ee/spec/features/groups/settings/protected_environments_spec.rb'
    - 'ee/spec/features/projects/environments/environments_spec.rb'
    - 'ee/spec/features/projects/feature_flags/user_sees_feature_flag_list_spec.rb'
    - 'ee/spec/features/projects/feature_flags/user_updates_feature_flag_spec.rb'
    - 'ee/spec/finders/epics_finder_spec.rb'
    - 'ee/spec/finders/merge_requests_finder_spec.rb'
    - 'ee/spec/frontend/fixtures/dast_profiles.rb'
    - 'ee/spec/graphql/ee/mutations/ci/runner/update_spec.rb'
    - 'ee/spec/graphql/ee/resolvers/namespace_projects_resolver_spec.rb'
    - 'ee/spec/graphql/resolvers/path_locks_resolver_spec.rb'
    - 'ee/spec/graphql/resolvers/security_orchestration/scan_execution_policy_resolver_spec.rb'
    - 'ee/spec/graphql/resolvers/security_report_summary_resolver_spec.rb'
    - 'ee/spec/graphql/resolvers/vulnerabilities/issue_links_resolver_spec.rb'
    - 'ee/spec/helpers/billing_plans_helper_spec.rb'
    - 'ee/spec/helpers/routing/pseudonymization_helper_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/access_levels_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/config_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/backfill_project_statistics_container_repository_size_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/delete_invalid_epic_issues_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/fix_incorrect_max_seats_used_spec.rb'
    - 'ee/spec/lib/ee/gitlab/ci/config/entry/need_spec.rb'
    - 'ee/spec/lib/ee/gitlab/ci/matching/runner_matcher_spec.rb'
    - 'ee/spec/lib/ee/gitlab/elastic/helper_spec.rb'
    - 'ee/spec/lib/ee/gitlab/import_export/group/legacy_tree_saver_spec.rb'
    - 'ee/spec/lib/ee/gitlab/import_export/group/tree_saver_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage_data_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/person_spec.rb'
    - 'ee/spec/lib/gitlab/auth/smartcard/certificate_spec.rb'
    - 'ee/spec/lib/gitlab/custom_file_templates_spec.rb'
    - 'ee/spec/lib/gitlab/elastic/client_spec.rb'
    - 'ee/spec/lib/gitlab/elastic/indexer_spec.rb'
    - 'ee/spec/lib/gitlab/insights/loader_spec.rb'
    - 'ee/spec/lib/gitlab/template/custom_templates_spec.rb'
    - 'ee/spec/models/application_setting_spec.rb'
    - 'ee/spec/models/approval_merge_request_rule_spec.rb'
    - 'ee/spec/models/member_spec.rb'
    - 'ee/spec/models/preloaders/environments/protected_environment_preloader_spec.rb'
    - 'ee/spec/models/protected_environments/approval_summary_spec.rb'
    - 'ee/spec/models/vulnerabilities/statistic_spec.rb'
    - 'ee/spec/requests/api/deployments_spec.rb'
    - 'ee/spec/requests/api/graphql/app_sec/fuzzing/coverage/corpus_type_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epics_spec.rb'
    - 'ee/spec/requests/api/internal/base_spec.rb'
    - 'ee/spec/requests/api/issues_spec.rb'
    - 'ee/spec/requests/api/protected_environments_spec.rb'
    - 'ee/spec/requests/api/templates_spec.rb'
    - 'ee/spec/requests/ee/projects/environments_controller_spec.rb'
    - 'ee/spec/requests/ee/projects/service_desk_controller_spec.rb'
    - 'ee/spec/requests/projects/security/dast_site_profiles_controller_spec.rb'
    - 'ee/spec/requests/rack_attack_global_spec.rb'
    - 'ee/spec/serializers/integrations/zentao_serializers/issue_entity_spec.rb'
    - 'ee/spec/services/app_sec/dast/profiles/create_associations_service_spec.rb'
    - 'ee/spec/services/app_sec/dast/scan_configs/fetch_service_spec.rb'
    - 'ee/spec/services/arkose/blocked_users_report_service_spec.rb'
    - 'ee/spec/services/audit_events/protected_branch_audit_event_service_spec.rb'
    - 'ee/spec/services/auto_merge/merge_when_pipeline_succeeds_service_spec.rb'
    - 'ee/spec/services/ci/create_pipeline_service/cross_needs_artifacts_spec.rb'
    - 'ee/spec/services/ci/process_pipeline_service_spec.rb'
    - 'ee/spec/services/ci/retry_pipeline_service_spec.rb'
    - 'ee/spec/services/ci/subscribe_bridge_service_spec.rb'
    - 'ee/spec/services/ee/merge_requests/create_pipeline_service_spec.rb'
    - 'ee/spec/services/merge_trains/check_status_service_spec.rb'
    - 'ee/spec/services/merge_trains/create_pipeline_service_spec.rb'
    - 'ee/spec/services/merge_trains/refresh_merge_request_service_spec.rb'
    - 'ee/spec/services/merge_trains/refresh_service_spec.rb'
    - 'ee/spec/services/status_page/trigger_publish_service_spec.rb'
    - 'ee/spec/services/status_page/unpublish_details_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/findings/create_from_security_finding_service_spec.rb'
    - 'ee/spec/support/shared_examples/services/audit_event_logging_shared_examples.rb'
    - 'ee/spec/support/shared_examples/status_page/publish_shared_examples.rb'
    - 'ee/spec/support/shared_examples/status_page/reference_links_examples.rb'
    - 'ee/spec/workers/scan_security_report_secrets_worker_spec.rb'
    - 'lib/api/issue_links.rb'
    - 'lib/api/issues.rb'
    - 'lib/api/labels.rb'
    - 'lib/api/maven_packages.rb'
    - 'lib/api/members.rb'
    - 'lib/api/merge_requests.rb'
    - 'lib/api/metrics/dashboard/annotations.rb'
    - 'lib/api/metrics/user_starred_dashboards.rb'
    - 'lib/api/milestone_responses.rb'
    - 'lib/api/notes.rb'
    - 'lib/api/pages_domains.rb'
    - 'lib/api/project_packages.rb'
    - 'lib/api/project_templates.rb'
    - 'lib/api/projects.rb'
    - 'lib/api/protected_branches.rb'
    - 'lib/api/releases.rb'
    - 'lib/api/rubygem_packages.rb'
    - 'lib/api/sidekiq_metrics.rb'
    - 'lib/api/users.rb'
    - 'lib/backup/gitaly_backup.rb'
    - 'lib/banzai/filter/references/abstract_reference_filter.rb'
    - 'lib/banzai/reference_redactor.rb'
    - 'lib/gitlab/abuse.rb'
    - 'lib/gitlab/access.rb'
    - 'lib/gitlab/application_rate_limiter.rb'
    - 'lib/gitlab/auth/ldap/config.rb'
    - 'lib/gitlab/auth/o_auth/auth_hash.rb'
    - 'lib/gitlab/auth/o_auth/provider.rb'
    - 'lib/gitlab/auth/o_auth/user.rb'
    - 'lib/gitlab/auth/otp/strategies/forti_authenticator/manual_otp.rb'
    - 'lib/gitlab/background_migration/backfill_project_repositories.rb'
    - 'lib/gitlab/background_migration/recalculate_vulnerabilities_occurrences_uuid.rb'
    - 'lib/gitlab/ci/ansi2html.rb'
    - 'lib/gitlab/ci/ansi2json/parser.rb'
    - 'lib/gitlab/ci/config/entry/processable.rb'
    - 'lib/gitlab/ci/jwt_v2.rb'
    - 'lib/gitlab/ci/pipeline/chain/validate/external.rb'
    - 'lib/gitlab/ci/reports/security/scanner.rb'
    - 'lib/gitlab/database/background_migration/health_status.rb'
    - 'lib/gitlab/database/reflection.rb'
    - 'lib/gitlab/diff/file_collection/compare.rb'
    - 'lib/gitlab/email/attachment_uploader.rb'
    - 'lib/gitlab/emoji.rb'
    - 'lib/gitlab/etag_caching/middleware.rb'
    - 'lib/gitlab/experimentation.rb'
    - 'lib/gitlab/fogbugz_import/importer.rb'
    - 'lib/gitlab/git/repository.rb'
    - 'lib/gitlab/gitaly_client/commit_service.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/hook_data/project_member_builder.rb'
    - 'lib/gitlab/import_export/group/legacy_tree_restorer.rb'
    - 'lib/gitlab/import_export/group/relation_factory.rb'
    - 'lib/gitlab/import_export/group/relation_tree_restorer.rb'
    - 'lib/gitlab/import_export/members_mapper.rb'
    - 'lib/gitlab/import_export/project/import_task.rb'
    - 'lib/gitlab/import_export/shared.rb'
    - 'lib/gitlab/issuable/clone/copy_resource_events_service.rb'
    - 'lib/gitlab/kubernetes.rb'
    - 'lib/gitlab/marginalia/comment.rb'
    - 'lib/gitlab/metrics/dashboard/stages/grafana_formatter.rb'
    - 'lib/gitlab/metrics/dashboard/transformers/yml/v1/prometheus_metrics.rb'
    - 'lib/gitlab/metrics/dashboard/validator/client.rb'
    - 'lib/gitlab/metrics/exporter/metrics_middleware.rb'
    - 'lib/gitlab/metrics/samplers/puma_sampler.rb'
    - 'lib/gitlab/metrics/samplers/ruby_sampler.rb'
    - 'lib/gitlab/no_cache_headers.rb'
    - 'lib/gitlab/sidekiq_daemon/memory_killer.rb'
    - 'lib/gitlab/sidekiq_middleware/server_metrics.rb'
    - 'lib/gitlab/slash_commands/presenters/base.rb'
    - 'lib/gitlab/template/gitignore_template.rb'
    - 'lib/gitlab/visibility_level.rb'
    - 'lib/product_analytics/event_params.rb'
    - 'lib/sidebars/projects/menus/infrastructure_menu.rb'
    - 'lib/tasks/gitlab/import_export/export.rake'
    - 'lib/tasks/gitlab/import_export/import.rake'
    - 'lib/tasks/tanuki_emoji.rake'
    - 'spec/controllers/concerns/product_analytics_tracking_spec.rb'
    - 'spec/controllers/concerns/redis_tracking_spec.rb'
    - 'spec/controllers/import/bitbucket_controller_spec.rb'
    - 'spec/controllers/oauth/token_info_controller_spec.rb'
    - 'spec/controllers/omniauth_callbacks_controller_spec.rb'
    - 'spec/controllers/projects/artifacts_controller_spec.rb'
    - 'spec/controllers/projects/feature_flags_controller_spec.rb'
    - 'spec/controllers/projects/grafana_api_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'spec/controllers/projects/pipeline_schedules_controller_spec.rb'
    - 'spec/controllers/projects/registry/tags_controller_spec.rb'
    - 'spec/controllers/projects/service_desk_controller_spec.rb'
    - 'spec/db/migration_spec.rb'
    - 'spec/factories/ci/builds.rb'
    - 'spec/factories/environments.rb'
    - 'spec/factories/groups.rb'
    - 'spec/features/dashboard/datetime_on_tooltips_spec.rb'
    - 'spec/features/dashboard/todos/todos_sorting_spec.rb'
    - 'spec/features/jira_oauth_provider_authorize_spec.rb'
    - 'spec/features/merge_request/user_sees_deployment_widget_spec.rb'
    - 'spec/features/profiles/active_sessions_spec.rb'
    - 'spec/features/projects/badges/coverage_spec.rb'
    - 'spec/features/projects/environments/environment_spec.rb'
    - 'spec/features/projects/feature_flags/user_sees_feature_flag_list_spec.rb'
    - 'spec/features/projects/feature_flags/user_updates_feature_flag_spec.rb'
    - 'spec/features/projects/jobs/user_browses_jobs_spec.rb'
    - 'spec/features/projects/milestones/milestones_sorting_spec.rb'
    - 'spec/features/projects/new_project_spec.rb'
    - 'spec/features/projects/pipelines/legacy_pipeline_spec.rb'
    - 'spec/features/projects/pipelines/legacy_pipelines_spec.rb'
    - 'spec/features/projects/pipelines/pipeline_spec.rb'
    - 'spec/features/projects/pipelines/pipelines_spec.rb'
    - 'spec/features/snippets/user_creates_snippet_spec.rb'
    - 'spec/features/users/email_verification_on_login_spec.rb'
    - 'spec/features/users/login_spec.rb'
    - 'spec/finders/ci/pipelines_for_merge_request_finder_spec.rb'
    - 'spec/finders/group_descendants_finder_spec.rb'
    - 'spec/finders/group_members_finder_spec.rb'
    - 'spec/finders/template_finder_spec.rb'
    - 'spec/graphql/mutations/releases/update_spec.rb'
    - 'spec/graphql/resolvers/board_lists_resolver_spec.rb'
    - 'spec/graphql/resolvers/ci/config_resolver_spec.rb'
    - 'spec/graphql/resolvers/ci/group_runners_resolver_spec.rb'
    - 'spec/graphql/resolvers/ci/jobs_resolver_spec.rb'
    - 'spec/graphql/resolvers/ci/runners_resolver_spec.rb'
    - 'spec/graphql/resolvers/container_repositories_resolver_spec.rb'
    - 'spec/graphql/resolvers/container_repository_tags_resolver_spec.rb'
    - 'spec/graphql/resolvers/design_management/versions_resolver_spec.rb'
    - 'spec/graphql/resolvers/work_items_resolver_spec.rb'
    - 'spec/helpers/ci/builds_helper_spec.rb'
    - 'spec/helpers/sorting_helper_spec.rb'
    - 'spec/helpers/storage_helper_spec.rb'
    - 'spec/helpers/wiki_helper_spec.rb'
    - 'spec/initializers/00_rails_disable_joins_spec.rb'
    - 'spec/lib/backup/gitaly_backup_spec.rb'
    - 'spec/lib/banzai/filter/repository_link_filter_spec.rb'
    - 'spec/lib/gitlab/asciidoc_spec.rb'
    - 'spec/lib/gitlab/auth/ldap/auth_hash_spec.rb'
    - 'spec/lib/gitlab/auth/ldap/config_spec.rb'
    - 'spec/lib/gitlab/auth/ldap/person_spec.rb'
    - 'spec/lib/gitlab/auth/o_auth/auth_hash_spec.rb'
    - 'spec/lib/gitlab/auth/otp/strategies/forti_token_cloud_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_imported_issue_search_data_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_integrations_enable_ssl_verification_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_snippet_repositories_spec.rb'
    - 'spec/lib/gitlab/background_migration/encrypt_integration_properties_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/port_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/root_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/mapper_spec.rb'
    - 'spec/lib/gitlab/ci/lint_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/seed/deployment_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor_spec.rb'
    - 'spec/lib/gitlab/data_builder/issuable_spec.rb'
    - 'spec/lib/gitlab/data_builder/note_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/partitioning/sliding_list_strategy_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_migration_helpers/backfill_partitioned_table_spec.rb'
    - 'spec/lib/gitlab/database_importers/self_monitoring/project/create_service_spec.rb'
    - 'spec/lib/gitlab/diff/highlight_cache_spec.rb'
    - 'spec/lib/gitlab/diff/lines_unfolder_spec.rb'
    - 'spec/lib/gitlab/diff/position_spec.rb'
    - 'spec/lib/gitlab/error_tracking/processor/context_payload_processor_spec.rb'
    - 'spec/lib/gitlab/error_tracking/stack_trace_highlight_decorator_spec.rb'
    - 'spec/lib/gitlab/etag_caching/middleware_spec.rb'
    - 'spec/lib/gitlab/etag_caching/router/graphql_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/grape_logging/formatters/lograge_with_timestamp_spec.rb'
    - 'spec/lib/gitlab/import_export/attributes_finder_spec.rb'
    - 'spec/lib/gitlab/import_export/group/object_builder_spec.rb'
    - 'spec/lib/gitlab/import_export/group/relation_tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/project/relation_tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/project/sample/relation_tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_sources_spec.rb'
    - 'spec/lib/gitlab/instrumentation_helper_spec.rb'
    - 'spec/lib/gitlab/jira/middleware_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/active_record/extension_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/importers/prometheus_metrics_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/validator/errors_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/validator_spec.rb'
    - 'spec/lib/gitlab/metrics/requests_rack_middleware_spec.rb'
    - 'spec/lib/gitlab/metrics/subscribers/action_view_spec.rb'
    - 'spec/lib/gitlab/metrics/subscribers/active_record_spec.rb'
    - 'spec/lib/gitlab/metrics/subscribers/load_balancing_spec.rb'
    - 'spec/lib/gitlab/metrics/web_transaction_spec.rb'
    - 'spec/lib/gitlab/omniauth_initializer_spec.rb'
    - 'spec/lib/gitlab/sidekiq_daemon/memory_killer_spec.rb'
    - 'spec/lib/gitlab/sidekiq_death_handler_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/server_metrics_spec.rb'
    - 'spec/lib/gitlab/slug/environment_spec.rb'
    - 'spec/lib/gitlab/tracking_spec.rb'
    - 'spec/lib/gitlab/usage_data/topology_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/merge_request_activity_unique_counter_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/note_counter_spec.rb'
    - 'spec/lib/gitlab/usage_data_spec.rb'
    - 'spec/lib/gitlab/utils_spec.rb'
    - 'spec/lib/gitlab/word_diff/parser_spec.rb'
    - 'spec/lib/marginalia_spec.rb'
    - 'spec/lib/security/ci_configuration/sast_build_action_spec.rb'
    - 'spec/mailers/emails/pipelines_spec.rb'
    - 'spec/migrations/20210804150320_create_base_work_item_types_spec.rb'
    - 'spec/migrations/20210831203408_upsert_base_work_item_types_spec.rb'
    - 'spec/migrations/20211117084814_migrate_remaining_u2f_registrations_spec.rb'
    - 'spec/migrations/20211126204445_add_task_to_work_item_types_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/ci/pipeline_spec.rb'
    - 'spec/models/ci/processable_spec.rb'
    - 'spec/models/clusters/platforms/kubernetes_spec.rb'
    - 'spec/models/commit_status_spec.rb'
    - 'spec/models/container_registry/event_spec.rb'
    - 'spec/models/deployment_spec.rb'
    - 'spec/models/design_management/version_spec.rb'
    - 'spec/models/group_spec.rb'
    - 'spec/models/integrations/chat_message/pipeline_message_spec.rb'
    - 'spec/models/integrations/drone_ci_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/namespace_spec.rb'
    - 'spec/models/operations/feature_flag_spec.rb'
    - 'spec/models/pages_domain_spec.rb'
    - 'spec/models/remote_mirror_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/presenters/clusters/cluster_presenter_spec.rb'
    - 'spec/presenters/project_presenter_spec.rb'
    - 'spec/requests/api/ci/job_artifacts_spec.rb'
    - 'spec/requests/api/ci/jobs_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_request_post_spec.rb'
    - 'spec/requests/api/feature_flags_spec.rb'
    - 'spec/requests/api/graphql/ci/config_spec.rb'
    - 'spec/requests/api/graphql/ci/group_variables_spec.rb'
    - 'spec/requests/api/graphql/ci/instance_variables_spec.rb'
    - 'spec/requests/api/graphql/ci/project_variables_spec.rb'
    - 'spec/requests/api/graphql/ci/runner_spec.rb'
    - 'spec/requests/api/graphql/ci/runners_spec.rb'
    - 'spec/requests/api/graphql/mutations/releases/update_spec.rb'
    - 'spec/requests/api/graphql/project/issue/design_collection/version_spec.rb'
    - 'spec/requests/api/graphql/project/terraform/state_spec.rb'
    - 'spec/requests/api/graphql/project/terraform/states_spec.rb'
    - 'spec/requests/api/graphql/query_spec.rb'
    - 'spec/requests/api/groups_spec.rb'
    - 'spec/requests/api/internal/base_spec.rb'
    - 'spec/requests/api/issues/get_group_issues_spec.rb'
    - 'spec/requests/api/projects_spec.rb'
    - 'spec/requests/api/suggestions_spec.rb'
    - 'spec/requests/api/unleash_spec.rb'
    - 'spec/requests/git_http_spec.rb'
    - 'spec/requests/oauth_tokens_spec.rb'
    - 'spec/requests/openid_connect_spec.rb'
    - 'spec/requests/projects/environments_controller_spec.rb'
    - 'spec/requests/projects/merge_requests_discussions_spec.rb'
    - 'spec/routing/project_routing_spec.rb'
    - 'spec/serializers/ci/lint/job_entity_spec.rb'
    - 'spec/serializers/container_repository_entity_spec.rb'
    - 'spec/serializers/deployment_entity_spec.rb'
    - 'spec/serializers/environment_serializer_spec.rb'
    - 'spec/serializers/merge_request_metrics_helper_spec.rb'
    - 'spec/services/ci/create_downstream_pipeline_service_spec.rb'
    - 'spec/services/ci/create_pipeline_service/logger_spec.rb'
    - 'spec/services/ci/create_pipeline_service/tags_spec.rb'
    - 'spec/services/ci/job_artifacts/create_service_spec.rb'
    - 'spec/services/ci/retry_job_service_spec.rb'
    - 'spec/services/deployments/link_merge_requests_service_spec.rb'
    - 'spec/services/discussions/capture_diff_note_positions_service_spec.rb'
    - 'spec/services/environments/stop_service_spec.rb'
    - 'spec/services/event_create_service_spec.rb'
    - 'spec/services/groups/import_export/import_service_spec.rb'
    - 'spec/services/issuable/bulk_update_service_spec.rb'
    - 'spec/services/issues/create_service_spec.rb'
    - 'spec/services/merge_requests/build_service_spec.rb'
    - 'spec/services/merge_requests/create_service_spec.rb'
    - 'spec/services/merge_requests/update_service_spec.rb'
    - 'spec/services/metrics/dashboard/clone_dashboard_service_spec.rb'
    - 'spec/services/notes/create_service_spec.rb'
    - 'spec/services/notes/destroy_service_spec.rb'
    - 'spec/services/packages/debian/parse_debian822_service_spec.rb'
    - 'spec/services/projects/destroy_service_spec.rb'
    - 'spec/services/service_ping/submit_service_ping_service_spec.rb'
    - 'spec/services/suggestions/apply_service_spec.rb'
    - 'spec/services/work_items/widgets/description_service/update_service_spec.rb'
    - 'spec/support/helpers/create_environments_helpers.rb'
    - 'spec/support/helpers/kubernetes_helpers.rb'
    - 'spec/support/helpers/migrations_helpers/work_item_types_helper.rb'
    - 'spec/support/helpers/seed_helper.rb'
    - 'spec/support/helpers/stub_object_storage.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/helpers/usage_data_helpers.rb'
    - 'spec/support/migrations_helpers/vulnerabilities_findings_helper.rb'
    - 'spec/support/shared_contexts/bulk_imports_requests_shared_context.rb'
    - 'spec/support/shared_contexts/design_management_shared_contexts.rb'
    - 'spec/support/shared_contexts/finders/merge_requests_finder_shared_contexts.rb'
    - 'spec/support/shared_examples/finders/issues_finder_shared_examples.rb'
    - 'spec/support/shared_examples/graphql/members_shared_examples.rb'
    - 'spec/support/shared_examples/lib/banzai/filters/sanitization_filter_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/database/background_migration_job_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/conan_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/graphql/packages/group_and_project_packages_list_shared_examples.rb'
    - 'spec/support/shared_examples/routing/resource_routing_shared_examples.rb'
    - 'spec/support/shared_examples/routing/wiki_routing_shared_examples.rb'
    - 'spec/support/shared_examples/services/container_registry_auth_service_shared_examples.rb'
    - 'spec/tooling/danger/datateam_spec.rb'
    - 'spec/views/projects/tags/index.html.haml_spec.rb'
    - 'spec/workers/emails_on_push_worker_spec.rb'
    - 'spec/workers/pages_domain_ssl_renewal_cron_worker_spec.rb'
